jQuery(document).ready(function($) {

	var testim_slider = new Swiper('.assets-slider', {
		speed: 800,
		spaceBetween: 26,
		simulateTouch: false,
		slidesPerView: 4,
		paginationClickable: true,
		pagination: '.assets-pagination',
		prevButton: '.slide-prev',
		nextButton: '.slide-next',
		buttonDisabledClass: 'disabled',
		wrapperClass: 'assets-wrapper',
		slideClass: 'assets-item',
		slideActiveClass: 'active',
		breakpoints: {
		  1010: {
        slidesPerView: 3,
        spaceBetween: 15,
      },
      650: {
        slidesPerView: 2,
        spaceBetween: 10,
      }
		}
  });


	// Shmoot end scrolling
	// ---------------------
	  $('a.move[href*=#]:not([href=#])').on("click touchstart", function() {
	    if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') && location.hostname == this.hostname) {
	      var target = $(this.hash);
	      target = target.length ? target : $('[name=' + this.hash.slice(1) +']');
	      if (target.length) {
          $('html,body').animate({
            scrollTop: target.offset().top - 100
          }, 1000);
	        return false;
	      }
	    }
	  });


	  // Open Modal
	  // ---------------
	  $('[data-toggle="modal"]').on("click", function() {
	    var modalId = $(this).data("target");
	    var domElement = $( this ).get( 0 );
	    if($("body").hasClass('modal-open')){
	      $(".backdrop.in").removeClass('in');
	      $(".modal.in").stop(true).fadeOut(500).removeClass('in');
	    }
	    $("body").addClass('modal-open');
	    $("body").removeClass('open-menu ');
	    $(modalId).stop(true).fadeIn(500).addClass('in');
	    $(".backdrop").addClass('in');
	    if(domElement.nodeName == 'A') {
	      return false;
	    }
	  });


	  // Close modal
	  // -----------------
	  $('[data-toggle="close-modal"]').bind('click', function() {
	    $(this).closest('.modal').fadeOut(500).removeClass('in');
	    $("body").removeClass('modal-open');
	    $(".backdrop.in").removeClass('in');
	  });


	  // Close Modal click on Target
	  // -----------------------------
	  $(".modal").bind('click', function() {
	    if($(event.target).hasClass('.modal-content') || !$(event.target).closest('.modal-content').size()) {
	      $(".modal.in").fadeOut(500).removeClass('in');
	      $("body").removeClass('modal-open');
	      $(".backdrop.in").removeClass('in');
	    }
	  });


	  // Form Change Validate
	  // ----------------------
	  $(".elq-form .req").each(function(i, e) {
	  	$(e).keyup(function() {
	  		if($(e).val() != '') {
	  			if($(e).hasClass('req-mail')) {
	  				if (validateEmail($(".elq-form .req-mail").val())) {
							$(e).closest('.field').removeClass("no-valid-field").addClass('valid-field');
	  				}
	  				else {
	  					$(e).closest('.field').removeClass("valid-field").addClass('no-valid-field');
	  				}
	  			}
	  			else {
	  				$(e).closest('.field').removeClass("no-valid-field").addClass('valid-field');
	  			}
	  		}
	  		else {
	  			$(e).closest('.field').removeClass("valid-field").addClass('no-valid-field');
	  		}
	  	});
	  });

	  // Form Submit Validate
	  // -------------------
	  $(".elq-form").submit(function() {
	  	$(".elq-form .req").each(function(i, e) {
	  		if($(e).val() != '') {
	  			if($(e).hasClass('req-mail')) {
	  				if (validateEmail($(".elq-form .req-mail").val())) {
							$(e).closest('.field').removeClass("no-valid-field").addClass('valid-field');
	  				}
	  				else {
	  					$(e).closest('.field').removeClass("valid-field").addClass('no-valid-field');
	  				}
	  			}
	  			else {
	  				$(e).closest('.field').removeClass("no-valid-field").addClass('valid-field');
	  			}
	  		}
	  		else {
	  			$(e).closest('.field').removeClass("valid-field").addClass('no-valid-field');
	  		}
	  	});

	  	if($(".elq-form .req").length != $(".elq-form .valid-field").length) {
	  		return false;
	  	}
	  });
});


function validateEmail(email) {
  var re = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
  return re.test(email);
}